View Issue Details

IDProjectCategoryView StatusLast Update
0002470CentOS-5-OTHERpublic2010-01-27 17:13
Reporterkray 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionopen 
Product Version5.0 
Target VersionFixed in Version 
Summary0002470: nx from centos-extras should require libXcomposite.so.1
DescriptionRepo: centos-extras
Package: nx-3.0.0-4

/usr/bin/NX/nxagent needs libXcomposite.so.1 but this is not required by the nx rpm. It is possible to install a minimal system with Xorg, freenx and nx without getting libXcomposite. NX-client fails to complete a connection in this case.

The following error message was obtained without libXcompoosite installed and with /etc/nxserver/nxnode.conf tweaked so as not to purge session logs.

/usr/lib/NX/nxagent: error while loading shared libraries: libXcomposite.so.1: cannot open shared object file: No such file or directory

Solution: libXcomposite.so.1 should be added to the requirements of nx rpm.
Additional InformationAffects CentOS-4 and Centos-5 for i386 and x86_64.
TagsNo tags attached.

Activities

seanos

seanos

2008-01-25 13:27

reporter   ~0006754

libXdamage and xorg-x11-xauth are also required.

Tested on x86_64, unsure of i386.
toracat

toracat

2010-01-27 17:13

manager   ~0010856

I believe this issue has been resolved. Closing this ticket now. If you do not see those requirements in the current version (nx-3.3.0-14.el5.centos), please open a new bug report.

Issue History

Date Modified Username Field Change
2007-11-26 23:39 kray New Issue
2007-11-27 00:21 toracat Status new => assigned
2008-01-25 13:27 seanos Note Added: 0006754
2010-01-27 17:13 toracat Note Added: 0010856
2010-01-27 17:13 toracat Status assigned => resolved